BEGIN;
	
CREATE TABLE efi_links (
page VARCHAR(80) DEFAULT '' NOT NULL, 
link VARCHAR(80) DEFAULT '' NOT NULL, 
count INTEGER DEFAULT '0' NOT NULL, 
PRIMARY KEY (page, link) );

create index efi_links_link on  
efi_links(link);

CREATE TABLE efi_pages ( 
title VARCHAR(80) DEFAULT '' NOT NULL, 
version INTEGER DEFAULT '1' NOT NULL, 
time TIMESTAMP, 
supercede TIMESTAMP, 
mutable VARCHAR(3) CHECK (mutable = 'on' OR mutable = 'off') NOT NULL DEFAULT 'on', 
username VARCHAR(80) default NULL, 
author VARCHAR(80) NOT NULL, 
comment VARCHAR(80) NOT NULL, 
body TEXT, 
PRIMARY KEY (title,version) );

CREATE TABLE efi_rate ( 
ip CIDR NOT NULL, 
time TIMESTAMP, 
viewLimit SMALLINT, 
searchLimit SMALLINT, 
editLimit SMALLINT, 
PRIMARY KEY (ip) );

CREATE TABLE efi_interwiki ( 
prefix VARCHAR(80) NOT NULL, 
where_defined VARCHAR(80) NOT NULL, 
url VARCHAR(255) NOT NULL, 
PRIMARY KEY (prefix) );

CREATE TABLE efi_sisterwiki ( 
prefix VARCHAR(80) NOT NULL, 
where_defined VARCHAR(80) NOT NULL, 
url VARCHAR(255) NOT NULL, 
PRIMARY KEY (prefix) );

CREATE TABLE efi_remote_pages ( 
page VARCHAR(80) NOT NULL, 
site VARCHAR(80) NOT NULL, 
PRIMARY KEY (page,site) );

CREATE TABLE spamlog ( 
spamlogid SERIAL PRIMARY KEY, 
ourphrase VARCHAR(255) NOT NULL, 
userphrase VARCHAR(255) NOT NULL, 
ip CIDR NOT NULL, 
browser VARCHAR(255) NOT NULL, 
updatetimedate TIMESTAMP NOT NULL DEFAULT NOW() );

COMMIT;


