#!/bin/bash

USERNAME=vemshu_tavi
PASSWORD=secret
DATABASE=vemshu_vemstavi
PG_PATH=/usr/bin
MY_PATH=/usr/bin
PREFIX=efi_
TABLES="${PREFIX}interwiki ${PREFIX}links ${PREFIX}pages ${PREFIX}rate ${PREFIX}remote_pages ${PREFIX}sisterwiki spamlog"

# Dump the MySQL 4.1 data as compatible as possible
echo -n "Dumping the Tavi data from MySQL...";
$MY_PATH/mysqldump -t --compatible=postgresql --skip-add-locks --skip-disable-keys --skip-extended-insert --default-character-set=latin1 -u$USERNAME -p$PASSWORD $DATABASE $TABLES >data.sql
echo " done";

# Ignore password from here on, because HostMonster.com uses IDENT

# Load the data into the new database
echo -n "Loading the Tavi data into PostgreSQL...";
$PG_PATH/psql -q -f data.sql $DATABASE
echo " done";

# Update the primary key on the spamlog table
echo -n "Updating spamlog key...";
$PG_PATH/psql -q --command "SELECT setval('spamlog_spamlogid_seq', (SELECT max(spamlogid) FROM spamlog));" $DATABASE
echo " done";

# Optimise
echo -n "Optimising...";
$PG_PATH/psql -q --command "VACUUM FULL ANALYZE;" $DATABASE
echo " done";

# Clean up
echo -n "Cleaning up...";
rm -f data.sql
echo " done";

