<?php
// $Id: common.php,v 1.13 2003/12/16 20:29:27 holroy Exp $

// This function generates the common prologue and header
// for the various templates.
//
// Its parameters are passed as an associative array with the following
// members:
//
//   'norobots' => An integer; if nonzero, robots will be forbidden to
//                 index the page or follow links from the page.
//   'title'    => A string containing the page title.  This function
//                 will append ' - WikiName' to the title.
//   'heading'  => A string containing the page's heading.
//   'headlink' => A string.  If not empty, it will be appended to the
//                 page's heading as a link to find the contents of the
//                 string in the database.
//   'headsufx' => A string containing the heading suffix.  If not
//                 empty, it will be printed after the heading link.
//   'toolbar'  => An integer; if nonzero, the toolbar will be displayed.
//
// Header line backup

function template_common_prologue($args)
{
  global $WikiName, $HomePage, $WikiLogo, $MetaKeywords, $MetaDescription;
  global $StyleScript, $SeparateTitleWords, $SeparateHeaderWords;

  $keywords = ' ' . html_split_name($args['headlink']);
  $keywords = str_replace('"', '&quot;', $keywords);

  preg_match("/^(.*)\//", $args['headlink'], $path); // Find startpath of page
  ob_start();                           // Start buffering output.

  if($SeparateTitleWords)
    { $args['title'] = html_split_name($args['title']); }
?>
<!DOCTYPE html
          PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html   xmlns   = "http://www.w3.org/1999/xhtml">
<head>
<meta name="KEYWORDS" content="<?php print $MetaKeywords . $keywords; ?>" />
<meta name="DESCRIPTION" content="<?php print $MetaDescription; ?>" />
<?php
  if($args['norobots'])
  {
?>
<meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
<?php
  }
?>
<link rel="STYLESHEET" href="<?php print $StyleScript; ?>" type="text/css" />
<title><?php print $args['title'] . ' - ' . $WikiName; ?></title>
</head>

<body>
<div id="header">
<div id="title">
Versatile Engine Management Systems - VEMS wiki
</div>
</div>

<div class="menuBar">
   <a class="menuButton" href="/">VEMS Home</a> 
   <a class="menuButton" href="/products.html">Products</a> 
   <a class="menuButton" href="/documentation.html">Documentation</a> 
   <a class="menuButtonSpecial"/wiki/">Wiki</a> 
   <a class="menuButton" href="http://shop.vems.hu/catalog/index.php?cPath=1">Webstore</a> 
 </div>

<div class="menuBar">
<?php 
  if($args['toolbar'])
    { print html_toolbar_top($path[1]); }
?>
</div>

<div id="main">


<?php
    print $args['heading'];
    if($args['headlink'] != '')
    {
?>
    <a class="pagetitle" href="<?php print findURL($args['headlink']); ?>">
<?php
    if($SeparateHeaderWords)
      { print html_split_name($args['headlink']); }
    else
      { print $args['headlink']; }
?></a>
<?php
    }
    print $args['headsufx'];
?>

<br>

<?php
}

// This function generates the common prologue and header
// for the various templates.
//
// Its parameters are passed as an associative array with the following
// members:
//
//   'twin'      => A string containing the page's name; if not empty,
//                  twin pages will be sought and printed.
//   'edit'      => A string containing the page's name; if not empty,
//                  an edit link will be printed.
//   'editver'   => An integer containing the page's version; if not
//                  zero, the edit link will be directed at the given
//                  version.  If it is -1, the page cannot be edited,
//                  and a message to that effect will be printed.
//   'history'   => A string containing the page's name; if not empty,
//                  a history link will be printed.
//   'timestamp' => Timestamp for the page.  If not empty, a 'document
//                  last modified' note will be printed.
//   'nosearch'  => An integer; if nonzero, the search form will not appear.

function template_common_epilogue($args)
{
  global $FindScript, $pagestore;

?>
<br>
<br>

<?php
   html_hr();
?>

<div id="footer">

<div id="toolbar-bottom">
<?php
  if($args['edit'])
  {
    if($args['editver'] == 0)
    {
      echo '<a href="'. editUrl($args['edit']) . '">'.TMPL_EditDocument.'</a>'; 
    }
    else if($args['editver'] == -1)
    {
      echo TMPL_NoEditDocument;
    }
    else
    {
      echo '<a href="' . editUrl($args['edit'], $args['editver']) . '">'.
           TMPL_EditArchiveVersion . '</a>';
    }

    if($args['history'])
      { print ' | '; }
  }
  if($args['history'])
  {
    echo '<a href="'. historyURL($args['history']). '">'.
         TMPL_ViewDocHistory . '</a><br />';
  }
  if($args['timestamp'])
  {
    echo "\n</div>\n". TMPL_DocLastModified . ' '. 
         html_time($args['timestamp']) . '<br />';
  }
  if($args['twin'] != '')
  {
    if(count($twin = $pagestore->twinpages($args['twin'])))
    {
      echo TMPL_TwinPages . ' ';
      for($i = 0; $i < count($twin); $i++)
        { print html_twin($twin[$i][0], $twin[$i][1]) . ' <br />'; } 
    }
  }
  if(!$args['nosearch'])
  {
?> 

<form method="get" action="<?php print $FindScript; ?>">
<div class="form">
  <input type="hidden" name="action" value="find" />
  <?php print TMPL_Search; ?> <input type="text" name="find" size="20" />
</div>
</form>
<?php
  }
?>
</div>
</div>
<center>
<br>
<br>
<!--
<script type="text/javascript">
 COMMENT STARTED HERE
google_ad_client = "pub-1922889824475908";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as";
google_ad_channel ="";
google_ad_type = "text_image";
google_color_border = ["336699","CCCCCC"];
google_color_bg = "FFFFFF";
google_color_link = ["0000FF","000000"];
google_color_url = ["008000","666666"];
google_color_text = ["000000","333333"];
COMMENT ENDED HERE

  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>

-->

</body>
</html>
<?php

  $size = ob_get_length();
  header("Content-Length: $size");
  ob_end_flush();
}
?>
